package ru.dbotthepony.kstarbound.defs.actor

import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

// uint8_t
enum class Gender(override val jsonName: String) : IStringSerializable {
	MALE("Male"), FEMALE("Female");
}

// int32_t
enum class HumanoidEmote(override val jsonName: String) : IStringSerializable {
	IDLE("Idle"),
	BLABBERING("Blabbering"),
	SHOUTING("Shouting"),
	HAPPY("Happy"),
	SAD("Sad"),
	NEUTRAL("NEUTRAL"),
	LAUGH("Laugh"),
	ANNOYED("Annoyed"),
	OH("Oh"),
	OOOH("OOOH"),
	BLINK("Blink"),
	WINK("Wink"),
	EAT("Eat"),
	SLEEP("Sleep");
}

enum class EquipmentSlot(override val jsonName: String) : IStringSerializable {
	HEAD("Head"),
	CHEST("Chest"),
	LEGS("Legs"),
	BACK("Back"),
	HEAD_COSMETIC("HeadCosmetic"),
	CHEST_COSMETIC("ChestCosmetic"),
	LEGS_COSMETIC("LegsCosmetic"),
	BACK_COSMETIC("BackCosmetic");
}

enum class EssentialSlot(override val jsonName: String) : IStringSerializable {
	BEAM_AXE("BeamAxe"),
	WIRE_TOOL("WireTool"),
	PAINT_TOOL("PaintTool"),
	INSPECTION_TOOL("InspectionTool");
}
